import Component  from '../component.js'
import { elementAttributeContains } from '../../core/utils.js'

export default class CoEuiBlockDocument extends Component {

    constructor(parent) {
      let selector = 'eui-block-document';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/eui-block-document/eui-block-document.component.html?at=support/13.x
    }
    get loader() {
      return this.currentPath + '//div[contains(@class,"eui-block-document__loader")]';
    }
    async isBlocked() {
      return await elementAttributeContains(this.currentPath, 'class', 'eui-block-document--blocked');
    }
}


